Subject: bug#148: [Bernardo Dal Seno]: scroll-margin and scroll-preserve-screen-position cause refresh problem

From: Stefan Monnier <[email-masked]>
Date: Tue, 22 Apr 2008 13:05:07 -0400

>> This behavior is not a bug in itself, it's just a symptom: it means that
>> redisplay was interrupted by user input before it had time
>> to terminate.  See redisplay-dont-pause.

> I tried the following .emacs:
> ---BEGIN---
> (custom-set-variables
>  '(scroll-margin 2)
>  '(scroll-preserve-screen-position t)
>  '(redisplay-dont-pause t)
> )
> ---END---
> and the bug appeared as before.

> Actually, the display isn't updated if I scroll the buffer when the
> cursor is in the first two lines of the window.  A partial work-around

Oh, indeed, I see something very odd going on, now.  It's not just the
redisplay-dont-pause, it's a real bug: it looks like if the cursor starts
inside the `scroll-margin' (e.g. (point-min)) and we scroll a page
forward, the cursor is moved ans so is point, but the text is
not updated.

        Stefan